Package org.drinkless.tdlib

# Class TdApi.GetChatStoryInteractions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StoryInteractions>
org.drinkless.tdlib.TdApi.GetChatStoryInteractions

Enclosing class:
  `TdApi`

public static class TdApi.GetChatStoryInteractions extends TdApi.Function<TdApi.StoryInteractions>
Returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

Returns `StoryInteractions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of story interactions to return.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `boolean`
  `preferForwards`
  Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.
  `TdApi.ReactionType`
  `reactionType`
  Pass the default heart reaction or a suggested reaction type to receive only interactions with the specified reaction type; pass null to receive all interactions; reactionTypePaid isn't supported.
  `int`
  `storyId`
  Story identifier.
  `long`
  `storyPosterChatId`
  The identifier of the poster of the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatStoryInteractions()`
  Default constructor for a function, which returns interactions with a story posted in a chat.
  `GetChatStoryInteractions(long storyPosterChatId, int storyId, TdApi.ReactionType reactionType, boolean preferForwards, String offset, int limit)`
  Creates a function, which returns interactions with a story posted in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    The identifier of the poster of the story.

  - ### storyId

    public int storyId
    Story identifier.

  - ### reactionType

    public TdApi.ReactionType reactionType
    Pass the default heart reaction or a suggested reaction type to receive only interactions with the specified reaction type; pass null to receive all interactions; reactionTypePaid isn't supported.

  - ### preferForwards

    public boolean preferForwards
    Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of story interactions to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatStoryInteractions

    public GetChatStoryInteractions()
    Default constructor for a function, which returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

    Returns `StoryInteractions`

  - ### GetChatStoryInteractions

    public GetChatStoryInteractions(long storyPosterChatId, int storyId, TdApi.ReactionType reactionType, boolean preferForwards, String offset, int limit)
    Creates a function, which returns interactions with a story posted in a chat. Can be used only if story is posted on behalf of a chat and the user is an administrator in the chat.

    Returns `StoryInteractions`

    Parameters:
      `storyPosterChatId` - The identifier of the poster of the story.
      `storyId` - Story identifier.
      `reactionType` - Pass the default heart reaction or a suggested reaction type to receive only interactions with the specified reaction type; pass null to receive all interactions; reactionTypePaid isn't supported.
      `preferForwards` - Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of story interactions to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StoryInteractions>`
    Returns:
      this.CONSTRUCTOR